rnews(8)

NAME
rnews - sort batch files into spool

SYNOPSIS
rnews [GLOBAL OPTIONS] [file|directory]

DESCRIPTION
Leafnode is a USENET package intended for small sites, where there are few users and little disk space, but where a large number of groups is desired.

Rnews is the program that sorts files (possibly received with UUCP) into your newsspool. Rnews can currently take compressed (see below) and uncompressed ("rnews") news batches as well as news articles. Rnews will avoid copying the file around and is able to read from a stream. To achieve this, it may fork() twice and spawn an external decompressor.

  INPUT
Rnews expects the news batch either in a file, directory or on standard input. If provided with the name of a directory, it will open the directory and sort all files inside this directory into the news spool. Rnews will not recursively descend through directories.

Rnews sets its real and effective uid to "news" (or whatever else was configured).

  COMPRESSED BATCH FORMATS (UNBATCH)

Rnews recognizes cunbatch, gunbatch and zunbatch and will feed either through gzip -c -d.

Rnews recognizes bunbatch and will feed it through bzip2 -c -d.

These formats are not run-time configurable. To add/change this behaviour, it is necessary to modify rnews.c, recompile and reinstall.

OPTIONS
For a description of the GLOBAL OPTIONS, see leafnode(8).

file
    Sort this file into the newsspool. The file can also be a rnews batch, optionally compressed.

directory
    Sort the contents of all files in this directory into the newsspool.

BUGS
Rnews leaks some bytes of memory (the command line arguments to the external compressor program.)

AUTHOR
Written and Copyright 1999 by Cornelius Krasel <krasel@wpxx02.toxi.uni-wuerzburg.de>.

Written and Copyright 2002 by Ralf Wildenhues <ralf.wildenhues@gmx.de>.

Written and Copyright 2000 - 2005 by Matthias Andree <matthias.andree@gmx.de>. Manpage updated in 2008 by Matthias Andree.